void testShowGraphs()
{

	gSystem->Load("../libData.so");

	const Long64_t kFirstEvent = 128;

	TFile fr("../data/dataDSR4/analysis_07_1.root");
	TTree *tr = (TTree*)fr.Get("atree");

	AEvent *revent = new AEvent();
	tr->SetBranchAddress("Ach0.",&revent);

	TGraph *gr[10];

	//loop over events
	for (Int_t i = 0; i < 10; i++) {
		gr[i] = 0;
		tr->GetEntry(i+kFirstEvent);
		gr[i] = new TGraph(*revent->GetGraph());
	}//for over events


	TCanvas *c1 = new TCanvas("c1","test",10,10,1000,600);
	c1->Divide(3,2);

	for (Int_t i = 0; i < 6; i++) {
		c1->cd(i+1);
		gr[i]->Draw();
	}

//	c1->cd(2);
//	tr->Draw("gAmp.Draw()","","goff",1,124);
}
